\frontmatter

\tableofcontents

\mainmatter

\chapter{First Lorem}

\lipsum

\chapter{Second Lorem}

\section{First Ipsum}

\lipsum

\section{Second Ipsum}

\lipsum

\chapter{No Lorem}

\section{Text}

We have \textbf{bold text}, \textit{italique text}, \textsc{small caps} and even some {\bfseries\itshape\scshape funky combinations}.

\section{Lists}

We have itemized lists.
\begin{itemize}
  \item
    As can be seen here.
  \item
    These can also be nested.
  \begin{itemize}
    \item
      As
    \item
      can
    \item
      be
    \item
      seen
    \item
      here.
  \end{itemize}
\end{itemize}

\section{Math}

You can also type mathematics in the usual way:
\[
  \int_a^b f'(x) \,\mathrm{d}x
  =
  f(b) - f(a) \,.
\]
Note that the math font matches the text font.

\section{Tables}

Tables should be produced with the package \texttt{booktabs}, as can be seen in Table~\ref{booktab rules}.
For table headings, the provided command \texttt{\backslash tblhead} should be used.
\begin{table}[ht]
  \centering
  \begin{tabular}{ll}
    \toprule
    \tblhead{Rule}
    &
    \tblhead{Explanation}
    \\
    \midrule
    toprule
    &
    thick rule at the top
    \\
    midrule
    &
    lighter rule during the tabe
    \\
    cmidrule
    &
    even lighter rule that stretches
    \\
    {}
    &
    only part of the columns
    \\
    bottomrule
    &
    thick rule at the bottom
    \\
    \bottomrule
  \end{tabular}
  \caption{The different kinds of rules of \texttt{booktabs}.}
  \label{booktab rules}
\end{table}

\section{Margin Remarks}

You can also add remarks to the margin via the command \texttt{\backslash marginremark}.
\marginremark{
  This is a margin remark with multiple lines.
}
These remarks are set in a smaller text size and are left-aligned (i.e. they are ragged on the right).

\section{Ampersand \& Fun}

We use the good looking ampersand symbol in titles.

\section{Quotation Marks}

\enquote{Quotation marks} should be set with \texttt{\backslash enquote\{text\}}.

\chapter{Class Options}

\section{Grayscale}

To produce a grayscale version of your project, you can use the class option \texttt{grayscale}.
For this option to have an effect, you have to use the command \texttt{\backslash colorgray\{\}\{\}} (an abbreviation for \enquote{color or grayscale}.)
This command takes two arguments.
The first argument will be executed in the colour version of the project, and the second argument in the grayscale version.
\textcolor{\colorgray{red}{gray}}{As an example, this sentence is usually red, but grey once the option \texttt{grayscale} is specified.}

\section{Chapter Title Decoration}

The option \texttt{titleletter} decorates chapter titles:
the first letter of the title is inserted as a large, coloured version at the beginning of the title.
This option disabled chapter numbers in chapter titles, but they still appear in the table of contents.
The color of the letter is defined by \texttt{letter-color} and can be changed.
